# build/parseDescription.c File Reference

Parse description section from spec file. More...

`#include "system.h"`
`#include "rpmbuild.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

int | parseDescription (Spec spec)
| Parse %description section of a spec file.

## Variables

int | noLang
static const char * | name = NULL
static const char * | lang = NULL
static struct poptOption | optionsTable []

## Detailed Description

Parse description section from spec file.

Definition in file parseDescription.c.

## Variable Documentation

const char* lang = NULL`[static]`

| Definition at line 20 of file parseDescription.c. Referenced by addFile(), headerFindI18NString(), parseDescription(), and parsePreamble().

const char* name = NULL`[static]`

Definition at line 18 of file parseDescription.c.

Referenced by addChangelog(), addLostFiles(), addSource(), checkPackageDeps(), doAddMacro(), doDelMacro(), doPrimary(), doReadRC(), doSetupMacro(), findPackagesWithRelocatedFiles(), findUpgradePackages(), genSourceRpmName(), headerMatchesDepFlags(), initrpm(), optionCompare(), packageBinaries(), parseBuildInstallClean(), parseDescription(), parseFiles(), parseForAttr(), parseForConfig(), parseForDev(), parseForLang(), parseForVerify(), parseNoSource(), parsePreamble(), parseScript(), pkgSort(), providePackageNVR(), removeMovedFilesAlreadyHandled(), rpmdbRebuild(), rpmGetPassPhrase(), rpmLookupSignatureType(), rpmtransAddPackage(), rpmtransRemove(), rpmVerifyFile(), showQueryPackage(), tagName(), tagNumFromPyObject(), unmarkPackagesAlreadyInstalled(), and writeRPM().

int noLang

| Definition at line 59 of file poptBT.c. Referenced by handlePreambleTag(), and parseDescription().

struct poptOption optionsTable[]`[static]`

Initial value:

     {
            { NULL, 'n', POPT_ARG_STRING, &name, 'n',       NULL, NULL},
            { NULL, 'l', POPT_ARG_STRING, &lang, 'l',       NULL, NULL},
            { 0, 0, 0, 0, 0,        NULL, NULL}
        }

Definition at line 23 of file parseDescription.c.